using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace FWHandler
{
   public class ComboBoxHandler
    {
        IFWComboBoxes controller;
        public ComboBoxHandler(IFWComboBoxes controller)
        {
            this.controller = controller;
        }
        public ComboBoxHandler Click(string value, int id, int repeatingTime = 0)
        {
            controller.ComboBoxClickBy(value, id, repeatingTime);
            return new ComboBoxHandler(controller);
        }
        public ComboBoxHandler Click(string value, int repeatingTime = 0)
        {
            controller.ComboBoxClickBy(value, repeatingTime);
            return new ComboBoxHandler(controller);
        }
        public ComboBoxHandler DoubleClick(string value, int id, int repeatingTime = 0)
        {
            controller.ComboBoxDoubleClickBy(value, id, repeatingTime);
            return new ComboBoxHandler(controller);
        }
        public ComboBoxHandler Select(string value, int id, int repeatingTime = 0)
        {
            controller.ComboBoxSelectBy(value, id, repeatingTime);
            return new ComboBoxHandler(controller);
        }
        public ComboBoxHandler Select(string value,string value2, int repeatingTime = 0)
        {
            controller.ComboBoxSelectBy(value, value2, repeatingTime);
            return new ComboBoxHandler(controller);
        }
        public bool Exist(string value, int repeatingTime = 0)
        {
            if (controller.ComboBoxExist(value, repeatingTime) == true)
            {
                return true;
            }
            else return false;
        }
        public bool IsVisible(string value, int repeatingTime = 0)
        {
            if (controller.ComboBoxIsVisible(value, repeatingTime) == true)
            {
                return true;
            }
            else return false;
        }
        public ComboBoxHandler Expand(string value, int repeatingTime = 0)
        {
            controller.ComboBoxExpand(value, repeatingTime);
            return new ComboBoxHandler(controller);
        }
    }
}
